IIsWebVirtualDir (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.iis.IIsWebVirtualDir interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.iis
Interface IIsWebVirtualDir

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IIsWebVirtualDir

extends LogicalElement

Represents an instance of an IIsWebVirtualDir.

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  IISWEBVIRTUALDIR
Display Name:
  parent,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IIsParameter[]` | `getIIsParameters()`
`java.lang.String` | `getIIsParametersRaw()`
`java.lang.String` | `getIIsPath()`
`java.lang.String` | `getName()`
`IIsWebServer` | `getParent()`
`java.lang.String` | `getPath()`
`boolean` | `hasIIsParameters()`
`boolean` | `hasIIsParametersRaw()`
`boolean` | `hasIIsPath()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPath()`
`void` | `setIIsParameters(IIsParameter[] parameters)`
`void` | `setIIsParametersRaw(java.lang.String parameters)`
`void` | `setIIsPath(java.lang.String iisPath)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(IIsWebServer parent)`
`void` | `setPath(java.lang.String path)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(IIsWebServer parent)

### getParent

    IIsWebServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setIIsPath

    void setIIsPath(java.lang.String iisPath)

### getIIsPath

    java.lang.String getIIsPath()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIIsPath

    boolean hasIIsPath()

### setName

    void setName(java.lang.String name)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setPath

    void setPath(java.lang.String path)

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPath

    boolean hasPath()

### setIIsParameters

    void setIIsParameters(IIsParameter[] parameters)

### getIIsParameters

    IIsParameter[] getIIsParameters()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasIIsParameters

    boolean hasIIsParameters()

### setIIsParametersRaw

    void setIIsParametersRaw(java.lang.String parameters)

### getIIsParametersRaw

    java.lang.String getIIsParametersRaw()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIIsParametersRaw

    boolean hasIIsParametersRaw()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD